if(typeof keyman === 'undefined') {
  console.log('Keyboard requires KeymanWeb 10.0 or later');
  if(typeof tavultesoft !== 'undefined') tavultesoft.keymanweb.util.alert("This keyboard requires KeymanWeb 10.0 or later");
} else {
KeymanWeb.KR(new Keyboard_elfdalian());
}
function Keyboard_elfdalian()
{
  var modCodes = keyman.osk.modifierCodes;
  var keyCodes = keyman.osk.keyCodes;

  this._v=(typeof keyman!="undefined"&&typeof keyman.version=="string")?parseInt(keyman.version,10):9;
  this.KI="Keyboard_elfdalian";
  this.KN="Övdalsk";
  this.KMINVER="10.0";
  this.KV={F:' 1em "Arial"',K102:0};
  this.KV.KLS={
    "shift": ["$","!","\"","#","€","%","&","/","(",")","=","?","`","","","","Q","W","E","R","T","Y","ą","I","O","P","Å","","^","","","","A","S","D","F","G","H","J","K","L","Ö","Ä","","","","","","","Z","X","C","V","B","N","M","<",">","_","","","","","",""],
    "default": ["̨","1","2","3","4","5","6","7","8","9","0","+","´","","","","q","w","e","r","t","y","u","i","o","p","å","","̈","","","","a","s","d","f","g","h","j","k","l","ö","ä","","","","","","","z","x","c","v","b","n","m",",",".","-","","","","","",""],
    "shift-alt": ["","","","","","","","","","","","","","","","","","","Ę","","","̨Y","Ų","Į","","","Ą̊","","","","","","Ą","","Đ","","","","","","","","","","","","","","","","","","","","","","","","","","","","","",""],
    "alt": ["","","","","","","","","","","","","","","","","","","ę","","","y̨","ų","į","","","ą̊","","","","","","ą","","ð","","","","","","","","","","","","","","","","","","","","","","","","","","","","","",""]
  };
  this.KV.BK=(function(x){
    var
      empty=Array.apply(null, Array(65)).map(String.prototype.valueOf,""),
      result=[], v, i,
      modifiers=['default','shift','ctrl','shift-ctrl','alt','shift-alt','ctrl-alt','shift-ctrl-alt'];
    for(i=modifiers.length-1;i>=0;i--) {
      v = x[modifiers[i]];
      if(v || result.length > 0) {
        result=(v ? v : empty).slice().concat(result);
      }
    }
    return result;
  })(this.KV.KLS);
  this.KDU=0;
  this.KH='';
  this.KM=0;
  this.KBVER="1.04";
  this.KMBM=modCodes.SHIFT | modCodes.ALT /* 0x0050 */;
  this.KVKD="T_lowery_hook T_Y_Hook T_ADots_Hook T_loweradots_hook T_ARing_hook T_lower_ARing_hook";
  this.KVKL={
  "tablet": {
    "displayUnderlying": false,
    "layer": [
      {
        "id": "default",
        "row": [
          {
            "id": "1"
          },
          {
            "id": "2",
            "key": [
              {
                "id": "U_0027",
                "text": "'",
                "sk": [
                  {
                    "id": "U_0022",
                    "text": "\""
                  }
                ]
              },
              {
                "id": "K_Q",
                "text": "q"
              },
              {
                "id": "K_W",
                "text": "w"
              },
              {
                "id": "K_E",
                "text": "e",
                "sk": [
                  {
                    "id": "U_0119",
                    "text": "\u0119"
                  }
                ]
              },
              {
                "id": "K_R",
                "text": "r"
              },
              {
                "id": "K_T",
                "text": "t"
              },
              {
                "id": "K_Y",
                "text": "y",
                "sk": [
                  {
                    "id": "T_lowery_hook",
                    "text": "y\u0328"
                  }
                ]
              },
              {
                "id": "U_0075",
                "text": "u",
                "sk": [
                  {
                    "id": "U_0173",
                    "text": "\u0173"
                  }
                ]
              },
              {
                "id": "K_I",
                "text": "i",
                "sk": [
                  {
                    "id": "U_012f",
                    "text": "\u012F"
                  }
                ]
              },
              {
                "id": "K_O",
                "text": "o",
                "sk": [
                  {
                    "id": "U_01eb",
                    "text": "\u01EB"
                  }
                ]
              },
              {
                "id": "K_P",
                "text": "p"
              },
              {
                "id": "U_0328",
                "text": "\u0328"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "CapsLock",
                "id": "T_new_4325",
                "sp": "1",
                "text": "AB\u00D0"
              },
              {
                "id": "K_A",
                "pad": "50",
                "text": "a",
                "sk": [
                  {
                    "id": "U_0105",
                    "text": "\u0105"
                  }
                ]
              },
              {
                "id": "K_S",
                "text": "s"
              },
              {
                "id": "K_D",
                "text": "d",
                "sk": [
                  {
                    "layer": "rightalt",
                    "id": "U_f0",
                    "text": "\u00F0"
                  }
                ]
              },
              {
                "id": "K_F",
                "text": "f"
              },
              {
                "id": "K_G",
                "text": "g"
              },
              {
                "id": "K_H",
                "text": "h"
              },
              {
                "id": "K_J",
                "text": "j"
              },
              {
                "id": "K_K",
                "text": "k"
              },
              {
                "id": "K_L",
                "text": "l"
              },
              {
                "id": "U_00e5",
                "text": "\u00E5",
                "sk": [
                  {
                    "id": "T_lower_ARing_hook",
                    "text": "\u00E5\u0328"
                  }
                ]
              },
              {
                "id": "U_00f0",
                "text": "\u00F0"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "CapsOneHit",
                "width": "160",
                "id": "K_SHIFT",
                "sp": "1",
                "text": "Ab\u00F0",
                "sk": [
                  {
                    "nextlayer": "CapsLock",
                    "id": "K_SHIFT",
                    "sp": "1",
                    "text": "AB\u00D0"
                  }
                ]
              },
              {
                "id": "K_Z",
                "text": "z"
              },
              {
                "id": "K_X",
                "text": "x"
              },
              {
                "id": "K_C",
                "text": "c"
              },
              {
                "id": "K_V",
                "text": "v"
              },
              {
                "id": "K_B",
                "text": "b"
              },
              {
                "id": "K_N",
                "text": "n"
              },
              {
                "id": "K_M",
                "text": "m"
              },
              {
                "id": "U_00e4",
                "text": "\u00E4",
                "sk": [
                  {
                    "layer": "default",
                    "id": "T_loweradots_hook",
                    "text": "\u00E4\u0328"
                  }
                ]
              },
              {
                "id": "U_00f6",
                "text": "\u00F6"
              },
              {
                "width": "116",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "5",
            "key": [
              {
                "nextlayer": "symbols",
                "width": "130",
                "id": "K_LCONTROL",
                "sp": "1",
                "text": "123?"
              },
              {
                "width": "140",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "id": "U_002c",
                "text": ","
              },
              {
                "width": "600",
                "id": "K_SPACE"
              },
              {
                "id": "K_PERIOD",
                "text": "."
              },
              {
                "width": "145",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "CapsLock",
        "row": [
          {
            "id": "1"
          },
          {
            "id": "2",
            "key": [
              {
                "id": "U_0022",
                "text": "\""
              },
              {
                "layer": "shift",
                "id": "K_Q",
                "text": "Q"
              },
              {
                "layer": "shift",
                "id": "K_W",
                "text": "W"
              },
              {
                "layer": "shift",
                "id": "K_E",
                "text": "E",
                "sk": [
                  {
                    "id": "U_0118",
                    "text": "\u0118"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_R",
                "text": "R"
              },
              {
                "layer": "shift",
                "id": "K_T",
                "text": "T"
              },
              {
                "layer": "shift",
                "id": "K_Y",
                "text": "Y",
                "sk": [
                  {
                    "id": "T_Y_Hook",
                    "text": "Y\u0328"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "U_0055",
                "text": "U",
                "sk": [
                  {
                    "id": "U_0172",
                    "text": "\u0172"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_I",
                "text": "I",
                "sk": [
                  {
                    "id": "U_012E",
                    "text": "\u012E"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_O",
                "text": "O",
                "sk": [
                  {
                    "id": "U_01ea",
                    "text": "\u01EA"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_P",
                "text": "P"
              },
              {
                "id": "U_0328",
                "text": "\u02DB"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "CapsOneHit",
                "id": "T_new_4533",
                "sp": "1",
                "text": "Ab\u00F0"
              },
              {
                "layer": "shift",
                "id": "K_A",
                "pad": "50",
                "text": "A",
                "sk": [
                  {
                    "id": "U_0104",
                    "text": "\u0104"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_S",
                "text": "S"
              },
              {
                "layer": "shift",
                "id": "K_D",
                "text": "D",
                "sk": [
                  {
                    "layer": "default",
                    "id": "U_00d0",
                    "text": "\u0110"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_F",
                "text": "F"
              },
              {
                "layer": "shift",
                "id": "K_G",
                "text": "G"
              },
              {
                "layer": "shift",
                "id": "K_H",
                "text": "H"
              },
              {
                "layer": "shift",
                "id": "K_J",
                "text": "J"
              },
              {
                "layer": "shift",
                "id": "K_K",
                "text": "K"
              },
              {
                "layer": "shift",
                "id": "K_L",
                "text": "L"
              },
              {
                "layer": "shift",
                "id": "U_00c5",
                "text": "\u00C5",
                "sk": [
                  {
                    "nextlayer": "CapsLock",
                    "id": "T_ARing_hook",
                    "text": "\u00C5\u02DB"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "U_00d0",
                "text": "\u00D0"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "default",
                "width": "160",
                "id": "K_SHIFT",
                "sp": "1",
                "text": "ab\u00F0",
                "sk": [
                  {
                    "nextlayer": "CapsOneHit",
                    "id": "K_SHIFT",
                    "sp": "1",
                    "text": "Ab\u00F0"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_Z",
                "text": "Z"
              },
              {
                "layer": "shift",
                "id": "K_X",
                "text": "X"
              },
              {
                "layer": "shift",
                "id": "K_C",
                "text": "C"
              },
              {
                "layer": "shift",
                "id": "K_V",
                "text": "V"
              },
              {
                "layer": "shift",
                "id": "K_B",
                "text": "B"
              },
              {
                "layer": "shift",
                "id": "K_N",
                "text": "N"
              },
              {
                "layer": "shift",
                "id": "K_M",
                "text": "M"
              },
              {
                "layer": "shift",
                "id": "U_00c4",
                "text": "\u00C4",
                "sk": [
                  {
                    "layer": "default",
                    "id": "T_ADots_Hook",
                    "text": "\u00C4\u0328"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "U_00d6",
                "text": "\u00D6"
              },
              {
                "width": "100",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "5",
            "key": [
              {
                "nextlayer": "symbols",
                "width": "130",
                "id": "K_LCONTROL",
                "sp": "1",
                "text": "123?"
              },
              {
                "width": "140",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "id": "K_COMMA",
                "text": ","
              },
              {
                "width": "600",
                "id": "K_SPACE"
              },
              {
                "id": "K_PERIOD",
                "text": "."
              },
              {
                "width": "145",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "symbols",
        "row": [
          {
            "id": "1"
          },
          {
            "id": "2",
            "key": [
              {
                "id": "T_new_1159",
                "sp": "10"
              },
              {
                "id": "U_0031",
                "text": "1"
              },
              {
                "id": "U_0032",
                "text": "2"
              },
              {
                "id": "U_0033",
                "text": "3"
              },
              {
                "id": "U_0034",
                "text": "4"
              },
              {
                "id": "U_0035",
                "text": "5"
              },
              {
                "id": "U_0036",
                "text": "6"
              },
              {
                "id": "U_0037",
                "text": "7"
              },
              {
                "id": "U_0038",
                "text": "8"
              },
              {
                "id": "U_0039",
                "text": "9"
              },
              {
                "id": "U_0030",
                "text": "0"
              },
              {
                "id": "T_new_154",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "id": "U_0040",
                "pad": "50",
                "text": "@",
                "sk": [
                  {
                    "id": "U_007e",
                    "text": "~"
                  }
                ]
              },
              {
                "id": "U_0023",
                "text": "#"
              },
              {
                "id": "U_20AC",
                "text": "\u20AC",
                "sk": [
                  {
                    "id": "U_00A3",
                    "text": " \u00A3"
                  },
                  {
                    "id": "U_0024",
                    "text": "$"
                  }
                ]
              },
              {
                "id": "U_0024",
                "text": "$"
              },
              {
                "id": "U_0026",
                "text": "&"
              },
              {
                "id": "U_002d",
                "text": "-"
              },
              {
                "id": "U_003d",
                "text": "="
              },
              {
                "id": "U_002b",
                "text": "+"
              },
              {
                "id": "U_0028",
                "text": "(",
                "sk": [
                  {
                    "id": "U_005b",
                    "text": "["
                  },
                  {
                    "id": "U_007b",
                    "text": "{"
                  }
                ]
              },
              {
                "id": "U_0029",
                "text": ")",
                "sk": [
                  {
                    "id": "U_005d",
                    "text": "]"
                  },
                  {
                    "id": "U_007d",
                    "text": "}"
                  }
                ]
              },
              {
                "id": "U_007c",
                "text": "|"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "CapsOneHit",
                "width": "160",
                "id": "K_SHIFT",
                "sp": "1",
                "text": "Ab\u00F0",
                "sk": [
                  {
                    "nextlayer": "CapsLock",
                    "id": "K_SHIFT",
                    "sp": "1",
                    "text": "AB\u00D0"
                  }
                ]
              },
              {
                "id": "U_002a",
                "text": "*"
              },
              {
                "id": "U_0022",
                "text": "\""
              },
              {
                "id": "U_002c",
                "text": "'"
              },
              {
                "id": "U_003a",
                "text": ":"
              },
              {
                "id": "U_003b",
                "text": ";"
              },
              {
                "id": "U_0021",
                "text": "!"
              },
              {
                "id": "U_003f",
                "text": "?"
              },
              {
                "id": "U_002f",
                "text": "/",
                "sk": [
                  {
                    "id": "U_005c",
                    "text": "\\"
                  }
                ]
              },
              {
                "width": "100",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "5",
            "key": [
              {
                "nextlayer": "default",
                "width": "130",
                "id": "K_LCONTROL",
                "sp": "1",
                "text": "ab\u00F0"
              },
              {
                "width": "140",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "id": "K_COMMA",
                "text": ",",
                "sk": [
                  {
                    "id": "U_003c",
                    "text": "<"
                  }
                ]
              },
              {
                "width": "600",
                "id": "K_SPACE"
              },
              {
                "id": "K_PERIOD",
                "text": ".",
                "sk": [
                  {
                    "id": "U_003e",
                    "text": ">"
                  }
                ]
              },
              {
                "width": "145",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "CapsOneHit",
        "row": [
          {
            "id": "1"
          },
          {
            "id": "2",
            "key": [
              {
                "nextlayer": "default",
                "id": "U_0022",
                "text": "\""
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_Q",
                "text": "Q"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_W",
                "text": "W"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_E",
                "text": "E",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_0118",
                    "text": "\u0118"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_R",
                "text": "R"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_T",
                "text": "T"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_Y",
                "text": "Y",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_Y_Hook",
                    "text": "Y\u0328"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "U_0055",
                "text": "U",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_0172",
                    "text": "\u0172"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_I",
                "text": "I",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_012E",
                    "text": "\u012E"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_O",
                "text": "O",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_01ea",
                    "text": "\u01EA"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_P",
                "text": "P"
              },
              {
                "nextlayer": "default",
                "id": "U_0328",
                "text": "\u02DB"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "CapsLock",
                "id": "T_new_4033",
                "sp": "1",
                "text": "AB\u00D0"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_A",
                "pad": "50",
                "text": "A",
                "sk": [
                  {
                    "nextlayer": "default",
                    "layer": "shift",
                    "id": "U_0104",
                    "text": "\u0104"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_S",
                "text": "S"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_D",
                "text": "D",
                "sk": [
                  {
                    "nextlayer": "default",
                    "layer": "shift",
                    "id": "U_00d0",
                    "text": "\u0110"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_F",
                "text": "F"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_G",
                "text": "G"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_H",
                "text": "H"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_J",
                "text": "J"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_K",
                "text": "K"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_L",
                "text": "L"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "U_00c5",
                "text": "\u00C5",
                "sk": [
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ARing_hook",
                    "text": "\u00C5\u02DB"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "U_00d0",
                "text": "\u00D0"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "default",
                "width": "160",
                "id": "K_SHIFT",
                "sp": "1",
                "text": "ab\u00F0",
                "sk": [
                  {
                    "nextlayer": "CapsLock",
                    "id": "K_SHIFT",
                    "text": "AB\u00D0"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_Z",
                "text": "Z"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_X",
                "text": "X"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_C",
                "text": "C"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_V",
                "text": "V"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_B",
                "text": "B"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_N",
                "text": "N"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "K_M",
                "text": "M"
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "U_00c4",
                "text": "\u00C4",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_ADots_Hook",
                    "text": "\u00C4\u0328"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "layer": "shift",
                "id": "U_00d6",
                "text": "\u00D6"
              },
              {
                "width": "100",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "5",
            "key": [
              {
                "nextlayer": "symbols",
                "width": "130",
                "id": "K_LCONTROL",
                "sp": "1",
                "text": "123?"
              },
              {
                "width": "140",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "id": "K_COMMA",
                "text": ","
              },
              {
                "width": "600",
                "id": "K_SPACE"
              },
              {
                "id": "K_PERIOD",
                "text": "."
              },
              {
                "width": "145",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      }
    ]
  }
}
;
  this.KVER="14.0.290.0";
  this.gs=function(t,e) {
    return this.g_main_0(t,e);
  };
  this.g_main_0=function(t,e) {
    var k=KeymanWeb,r=0,m=0;
    if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x100)) {
      if(1){
        r=m=1;   // Line 135
        k.KDC(0,t);
        k.KO(-1,t,"y̨");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x101)) {
      if(1){
        r=m=1;   // Line 136
        k.KDC(0,t);
        k.KO(-1,t,"Y̨");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x102)) {
      if(1){
        r=m=1;   // Line 137
        k.KDC(0,t);
        k.KO(-1,t,"Ą̈");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x103)) {
      if(1){
        r=m=1;   // Line 138
        k.KDC(0,t);
        k.KO(-1,t,"ą̈");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x104)) {
      if(1){
        r=m=1;   // Line 139
        k.KDC(0,t);
        k.KO(-1,t,"Ą̊");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x105)) {
      if(1){
        r=m=1;   // Line 140
        k.KDC(0,t);
        k.KO(-1,t,"ą̊");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_1 /* 0x31 */)) {
      if(1){
        r=m=1;   // Line 91
        k.KDC(0,t);
        k.KO(-1,t,"!");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_3 /* 0x33 */)) {
      if(1){
        r=m=1;   // Line 93
        k.KDC(0,t);
        k.KO(-1,t,"#");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_4 /* 0x34 */)) {
      if(1){
        r=m=1;   // Line 94
        k.KDC(0,t);
        k.KO(-1,t,"€");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_5 /* 0x35 */)) {
      if(1){
        r=m=1;   // Line 95
        k.KDC(0,t);
        k.KO(-1,t,"%");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_7 /* 0x37 */)) {
      if(1){
        r=m=1;   // Line 97
        k.KDC(0,t);
        k.KO(-1,t,"/");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_9 /* 0x39 */)) {
      if(1){
        r=m=1;   // Line 99
        k.KDC(0,t);
        k.KO(-1,t,")");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_0 /* 0x30 */)) {
      if(1){
        r=m=1;   // Line 100
        k.KDC(0,t);
        k.KO(-1,t,"=");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_8 /* 0x38 */)) {
      if(1){
        r=m=1;   // Line 98
        k.KDC(0,t);
        k.KO(-1,t,"(");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_EQUAL /* 0xBB */)) {
      if(1){
        r=m=1;   // Line 102
        k.KDC(0,t);
        k.KO(-1,t,"`");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_COMMA /* 0xBC */)) {
      if(1){
        r=m=1;   // Line 86
        k.KDC(0,t);
        k.KO(-1,t,",");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_HYPHEN /* 0xBD */)) {
      if(1){
        r=m=1;   // Line 57
        k.KDC(0,t);
        k.KO(-1,t,"+");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_PERIOD /* 0xBE */)) {
      if(1){
        r=m=1;   // Line 87
        k.KDC(0,t);
        k.KO(-1,t,".");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_SLASH /* 0xBF */)) {
      if(1){
        r=m=1;   // Line 88
        k.KDC(0,t);
        k.KO(-1,t,"-");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_0 /* 0x30 */)) {
      if(1){
        r=m=1;   // Line 56
        k.KDC(0,t);
        k.KO(-1,t,"0");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_1 /* 0x31 */)) {
      if(1){
        r=m=1;   // Line 47
        k.KDC(0,t);
        k.KO(-1,t,"1");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_2 /* 0x32 */)) {
      if(1){
        r=m=1;   // Line 48
        k.KDC(0,t);
        k.KO(-1,t,"2");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_3 /* 0x33 */)) {
      if(1){
        r=m=1;   // Line 49
        k.KDC(0,t);
        k.KO(-1,t,"3");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_4 /* 0x34 */)) {
      if(1){
        r=m=1;   // Line 50
        k.KDC(0,t);
        k.KO(-1,t,"4");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_5 /* 0x35 */)) {
      if(1){
        r=m=1;   // Line 51
        k.KDC(0,t);
        k.KO(-1,t,"5");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_6 /* 0x36 */)) {
      if(1){
        r=m=1;   // Line 52
        k.KDC(0,t);
        k.KO(-1,t,"6");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_7 /* 0x37 */)) {
      if(1){
        r=m=1;   // Line 53
        k.KDC(0,t);
        k.KO(-1,t,"7");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_8 /* 0x38 */)) {
      if(1){
        r=m=1;   // Line 54
        k.KDC(0,t);
        k.KO(-1,t,"8");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_9 /* 0x39 */)) {
      if(1){
        r=m=1;   // Line 55
        k.KDC(0,t);
        k.KO(-1,t,"9");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_COMMA /* 0xBC */)) {
      if(1){
        r=m=1;   // Line 130
        k.KDC(0,t);
        k.KO(-1,t,"<");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_EQUAL /* 0xBB */)) {
      if(1){
        r=m=1;   // Line 58
        k.KDC(0,t);
        k.KO(-1,t,"´");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_PERIOD /* 0xBE */)) {
      if(1){
        r=m=1;   // Line 131
        k.KDC(0,t);
        k.KO(-1,t,">");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_SLASH /* 0xBF */)) {
      if(1){
        r=m=1;   // Line 132
        k.KDC(0,t);
        k.KO(-1,t,"_");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_2 /* 0x32 */)) {
      if(1){
        r=m=1;   // Line 92
        k.KDC(0,t);
        k.KO(-1,t,"\"");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4050 */, keyCodes.K_A /* 0x41 */)) {
      if(1){
        r=m=1;   // Line 36
        k.KDC(0,t);
        k.KO(-1,t,"Ą");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_A /* 0x41 */)) {
      if(1){
        r=m=1;   // Line 113
        k.KDC(0,t);
        k.KO(-1,t,"A");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_B /* 0x42 */)) {
      if(1){
        r=m=1;   // Line 127
        k.KDC(0,t);
        k.KO(-1,t,"B");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_C /* 0x43 */)) {
      if(1){
        r=m=1;   // Line 125
        k.KDC(0,t);
        k.KO(-1,t,"C");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4050 */, keyCodes.K_D /* 0x44 */)) {
      if(1){
        r=m=1;   // Line 35
        k.KDC(0,t);
        k.KO(-1,t,"Đ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_D /* 0x44 */)) {
      if(1){
        r=m=1;   // Line 115
        k.KDC(0,t);
        k.KO(-1,t,"D");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4050 */, keyCodes.K_E /* 0x45 */)) {
      if(1){
        r=m=1;   // Line 34
        k.KDC(0,t);
        k.KO(-1,t,"Ę");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_E /* 0x45 */)) {
      if(1){
        r=m=1;   // Line 105
        k.KDC(0,t);
        k.KO(-1,t,"E");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_F /* 0x46 */)) {
      if(1){
        r=m=1;   // Line 116
        k.KDC(0,t);
        k.KO(-1,t,"F");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_G /* 0x47 */)) {
      if(1){
        r=m=1;   // Line 117
        k.KDC(0,t);
        k.KO(-1,t,"G");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_H /* 0x48 */)) {
      if(1){
        r=m=1;   // Line 118
        k.KDC(0,t);
        k.KO(-1,t,"H");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4050 */, keyCodes.K_I /* 0x49 */)) {
      if(1){
        r=m=1;   // Line 31
        k.KDC(0,t);
        k.KO(-1,t,"Į");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_I /* 0x49 */)) {
      if(1){
        r=m=1;   // Line 109
        k.KDC(0,t);
        k.KO(-1,t,"I");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_J /* 0x4A */)) {
      if(1){
        r=m=1;   // Line 119
        k.KDC(0,t);
        k.KO(-1,t,"J");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_K /* 0x4B */)) {
      if(1){
        r=m=1;   // Line 120
        k.KDC(0,t);
        k.KO(-1,t,"K");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_L /* 0x4C */)) {
      if(1){
        r=m=1;   // Line 121
        k.KDC(0,t);
        k.KO(-1,t,"L");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_M /* 0x4D */)) {
      if(1){
        r=m=1;   // Line 129
        k.KDC(0,t);
        k.KO(-1,t,"M");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_N /* 0x4E */)) {
      if(1){
        r=m=1;   // Line 128
        k.KDC(0,t);
        k.KO(-1,t,"N");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4050 */, keyCodes.K_O /* 0x4F */)) {
      if(1){
        r=m=1;   // Line 44
        k.KDC(0,t);
        k.KO(-1,t,"Ǫ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_O /* 0x4F */)) {
      if(1){
        r=m=1;   // Line 110
        k.KDC(0,t);
        k.KO(-1,t,"O");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_P /* 0x50 */)) {
      if(1){
        r=m=1;   // Line 111
        k.KDC(0,t);
        k.KO(-1,t,"P");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_Q /* 0x51 */)) {
      if(1){
        r=m=1;   // Line 103
        k.KDC(0,t);
        k.KO(-1,t,"Q");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_R /* 0x52 */)) {
      if(1){
        r=m=1;   // Line 106
        k.KDC(0,t);
        k.KO(-1,t,"R");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_S /* 0x53 */)) {
      if(1){
        r=m=1;   // Line 114
        k.KDC(0,t);
        k.KO(-1,t,"S");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_T /* 0x54 */)) {
      if(1){
        r=m=1;   // Line 107
        k.KDC(0,t);
        k.KO(-1,t,"T");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4050 */, keyCodes.K_U /* 0x55 */)) {
      if(1){
        r=m=1;   // Line 30
        k.KDC(0,t);
        k.KO(-1,t,"Ų");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_U /* 0x55 */)) {
      if(1){
        r=m=1;   // Line 37
        k.KDC(0,t);
        k.KO(-1,t,"ą");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_V /* 0x56 */)) {
      if(1){
        r=m=1;   // Line 126
        k.KDC(0,t);
        k.KO(-1,t,"V");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_W /* 0x57 */)) {
      if(1){
        r=m=1;   // Line 104
        k.KDC(0,t);
        k.KO(-1,t,"W");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_X /* 0x58 */)) {
      if(1){
        r=m=1;   // Line 124
        k.KDC(0,t);
        k.KO(-1,t,"X");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4050 */, keyCodes.K_Y /* 0x59 */)) {
      if(1){
        r=m=1;   // Line 25
        k.KDC(0,t);
        k.KO(-1,t,"̨Y");
      }
      else if(1){
        r=m=1;   // Line 42
        k.KDC(0,t);
        k.KO(-1,t,"Y̨");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_Y /* 0x59 */)) {
      if(1){
        r=m=1;   // Line 108
        k.KDC(0,t);
        k.KO(-1,t,"Y");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_Z /* 0x5A */)) {
      if(1){
        r=m=1;   // Line 123
        k.KDC(0,t);
        k.KO(-1,t,"Z");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_LBRKT /* 0xDB */)) {
      if(1){
        r=m=1;   // Line 26
        k.KDC(0,t);
        k.KO(-1,t,"å");
      }
    }
    else if(k.KKM(e, modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4040 */, keyCodes.K_LBRKT /* 0xDB */)) {
      if(1){
        r=m=1;   // Line 28
        k.KDC(0,t);
        k.KO(-1,t,"ą̊");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_BKSLASH /* 0xDC */)) {
      if(1){
        r=m=1;   // Line 78
        k.KDC(0,t);
        k.KO(-1,t,"ð");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_6 /* 0x36 */)) {
      if(1){
        r=m=1;   // Line 96
        k.KDC(0,t);
        k.KO(-1,t,"&");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_HYPHEN /* 0xBD */)) {
      if(1){
        r=m=1;   // Line 101
        k.KDC(0,t);
        k.KO(-1,t,"?");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_BKQUOTE /* 0xC0 */)) {
      if(1){
        r=m=1;   // Line 46
        k.KDC(0,t);
        k.KO(-1,t,"̨");
      }
    }
    else if(k.KKM(e, modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4040 */, keyCodes.K_A /* 0x41 */)) {
      if(1){
        r=m=1;   // Line 38
        k.KDC(0,t);
        k.KO(-1,t,"ą");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_A /* 0x41 */)) {
      if(1){
        r=m=1;   // Line 69
        k.KDC(0,t);
        k.KO(-1,t,"a");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_B /* 0x42 */)) {
      if(1){
        r=m=1;   // Line 83
        k.KDC(0,t);
        k.KO(-1,t,"b");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_C /* 0x43 */)) {
      if(1){
        r=m=1;   // Line 81
        k.KDC(0,t);
        k.KO(-1,t,"c");
      }
    }
    else if(k.KKM(e, modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4040 */, keyCodes.K_D /* 0x44 */)) {
      if(1){
        r=m=1;   // Line 39
        k.KDC(0,t);
        k.KO(-1,t,"ð");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_D /* 0x44 */)) {
      if(1){
        r=m=1;   // Line 71
        k.KDC(0,t);
        k.KO(-1,t,"d");
      }
    }
    else if(k.KKM(e, modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4040 */, keyCodes.K_E /* 0x45 */)) {
      if(1){
        r=m=1;   // Line 33
        k.KDC(0,t);
        k.KO(-1,t,"ę");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_E /* 0x45 */)) {
      if(1){
        r=m=1;   // Line 61
        k.KDC(0,t);
        k.KO(-1,t,"e");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_F /* 0x46 */)) {
      if(1){
        r=m=1;   // Line 72
        k.KDC(0,t);
        k.KO(-1,t,"f");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_G /* 0x47 */)) {
      if(1){
        r=m=1;   // Line 73
        k.KDC(0,t);
        k.KO(-1,t,"g");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_H /* 0x48 */)) {
      if(1){
        r=m=1;   // Line 74
        k.KDC(0,t);
        k.KO(-1,t,"h");
      }
    }
    else if(k.KKM(e, modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4040 */, keyCodes.K_I /* 0x49 */)) {
      if(1){
        r=m=1;   // Line 32
        k.KDC(0,t);
        k.KO(-1,t,"į");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_I /* 0x49 */)) {
      if(1){
        r=m=1;   // Line 66
        k.KDC(0,t);
        k.KO(-1,t,"i");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_J /* 0x4A */)) {
      if(1){
        r=m=1;   // Line 75
        k.KDC(0,t);
        k.KO(-1,t,"j");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_K /* 0x4B */)) {
      if(1){
        r=m=1;   // Line 76
        k.KDC(0,t);
        k.KO(-1,t,"k");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_L /* 0x4C */)) {
      if(1){
        r=m=1;   // Line 77
        k.KDC(0,t);
        k.KO(-1,t,"l");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_M /* 0x4D */)) {
      if(1){
        r=m=1;   // Line 85
        k.KDC(0,t);
        k.KO(-1,t,"m");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_N /* 0x4E */)) {
      if(1){
        r=m=1;   // Line 84
        k.KDC(0,t);
        k.KO(-1,t,"n");
      }
    }
    else if(k.KKM(e, modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4040 */, keyCodes.K_O /* 0x4F */)) {
      if(1){
        r=m=1;   // Line 43
        k.KDC(0,t);
        k.KO(-1,t,"ǫ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_O /* 0x4F */)) {
      if(1){
        r=m=1;   // Line 67
        k.KDC(0,t);
        k.KO(-1,t,"o");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_P /* 0x50 */)) {
      if(1){
        r=m=1;   // Line 68
        k.KDC(0,t);
        k.KO(-1,t,"p");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_Q /* 0x51 */)) {
      if(1){
        r=m=1;   // Line 59
        k.KDC(0,t);
        k.KO(-1,t,"q");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_R /* 0x52 */)) {
      if(1){
        r=m=1;   // Line 62
        k.KDC(0,t);
        k.KO(-1,t,"r");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_S /* 0x53 */)) {
      if(1){
        r=m=1;   // Line 70
        k.KDC(0,t);
        k.KO(-1,t,"s");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_T /* 0x54 */)) {
      if(1){
        r=m=1;   // Line 63
        k.KDC(0,t);
        k.KO(-1,t,"t");
      }
    }
    else if(k.KKM(e, modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4040 */, keyCodes.K_U /* 0x55 */)) {
      if(1){
        r=m=1;   // Line 29
        k.KDC(0,t);
        k.KO(-1,t,"ų");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_U /* 0x55 */)) {
      if(1){
        r=m=1;   // Line 65
        k.KDC(0,t);
        k.KO(-1,t,"u");
      }
    }
      if(m) {}
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_V /* 0x56 */)) {
      if(1){
        r=m=1;   // Line 82
        k.KDC(0,t);
        k.KO(-1,t,"v");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_W /* 0x57 */)) {
      if(1){
        r=m=1;   // Line 60
        k.KDC(0,t);
        k.KO(-1,t,"w");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_X /* 0x58 */)) {
      if(1){
        r=m=1;   // Line 80
        k.KDC(0,t);
        k.KO(-1,t,"x");
      }
    }
    else if(k.KKM(e, modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4040 */, keyCodes.K_Y /* 0x59 */)) {
      if(1){
        r=m=1;   // Line 24
        k.KDC(0,t);
        k.KO(-1,t,"y̨");
      }
      else if(1){
        r=m=1;   // Line 41
        k.KDC(0,t);
        k.KO(-1,t,"y̨");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_Y /* 0x59 */)) {
      if(1){
        r=m=1;   // Line 64
        k.KDC(0,t);
        k.KO(-1,t,"y");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_Z /* 0x5A */)) {
      if(1){
        r=m=1;   // Line 79
        k.KDC(0,t);
        k.KO(-1,t,"z");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4050 */, keyCodes.K_LBRKT /* 0xDB */)) {
      if(1){
        r=m=1;   // Line 27
        k.KDC(0,t);
        k.KO(-1,t,"Ą̊");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_LBRKT /* 0xDB */)) {
      if(1){
        r=m=1;   // Line 112
        k.KDC(0,t);
        k.KO(-1,t,"Å");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_BKSLASH /* 0xDC */)) {
      if(1){
        r=m=1;   // Line 122
        k.KDC(0,t);
        k.KO(-1,t,"Ð");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_BKQUOTE /* 0xC0 */)) {
      if(1){
        r=m=1;   // Line 90
        k.KDC(0,t);
        k.KO(-1,t,"$");
      }
    }
    return r;
  };
}
